# Exhibitor Reg Processes Exhibitor Reg Processes ## Creates a new exhibitor reg process record that does not already exist. - [POST /exhibitorRegProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/createexhibitorregprocess.md): This method will auto-generate an ID and create a new exhibitor reg process. If an ID is specified for the exhibitor reg process, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorRegProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Get eligible processes - [GET /exhibitorRegProcesses/{tenantId}/eligible/{eventId}/{organizationId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/geteligibleprocesses.md) ## Returns a list of records with the specified event_id - [GET /exhibitorRegProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id ## Returns a exhibitor reg process from the system by its ID. - [DELETE /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/deleteexhibitorregprocess.md): This method will delete a exhibitor reg process with the specified ID. ## Returns a exhibitor reg process from the system by its ID. - [GET /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/getexhibitorregprocess.md): This method will look up a exhibitor reg process by the specified ID and return it back. ## Partially updates a exhibitor reg process with the specified ID. - [PATCH /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/patchexhibitorregprocess.md): This method will patch an existing exhibitor reg process with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor reg process with the specified ID. - [PUT /exhibitorRegProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-reg-processes/updateexhibitorregprocess.md): This method will update an existing exhibitor reg process with the specified ID.